Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88415 - nice doesn't nice
Summary: nice doesn't nice
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 23:07 UTC by Scott Otterson
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:46 UTC


Attachments (Terms of Use)

Description Scott Otterson 2003-04-09 23:07:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
There's no way to make nice give a process a nice level of 19.  I've
tried all of the flags on the nice manpage and all of them either don't work, or
complain that I'm using a badly formed nice number.  "Don't work" means that the
process is still at nice zero after running nice.

I don't know if this bug is with the kernel or what but it's at least a
documentation bug.

Anyway, running nice without specifying a number results in a level 4. 
Is that as good as 19, these days?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
nice -n 19 <program>
nice --adjustment=19 <program>
nice -19 <program>

Actual Results:  top shows the program at nice 0

Expected Results:  program should be at nice 19latest kernel patch

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:46 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.